Loading...
Searching...
No Matches
osmo_crc64gen_code Struct Reference
Osmocom CRC routines

structure describing a given CRC code of max 64 bits More...

`#include <crc64gen.h>`

## Data Fields

int | bits
| Actual number of bits of the CRC.
uint64_t | poly
| Polynom (normal representation, MSB omitted.
uint64_t | init
| Initialization value of the CRC state.
uint64_t | remainder
| Remainder of the CRC (final XOR).

## Detailed Description

structure describing a given CRC code of max 64 bits

## Field Documentation

## bits

int osmo_crc64gen_code::bits

Actual number of bits of the CRC.

Referenced by osmo_crc64gen_check_bits(), osmo_crc64gen_compute_bits(), and osmo_crc64gen_set_bits().

## init

uint64_t osmo_crc64gen_code::init

Initialization value of the CRC state.

Referenced by osmo_crc64gen_compute_bits().

## poly

uint64_t osmo_crc64gen_code::poly

Polynom (normal representation, MSB omitted.

Referenced by osmo_crc64gen_compute_bits().

## remainder

uint64_t osmo_crc64gen_code::remainder

Remainder of the CRC (final XOR).

Referenced by osmo_crc64gen_compute_bits().

The documentation for this struct was generated from the following file:

- include/osmocom/core/crc64gen.h